SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   LFTP Vendors:   Lukyanov, Alexander
(Red Hat Issues Fix for RH Enterprise Linux) LFTP Buffer Overflow in Processing HTTP Responses May Allow Remote Code Execution
SecurityTracker Alert ID:  1008486
SecurityTracker URL:  http://securitytracker.com/id/1008486
CVE Reference:   CVE-2003-0963   (Links to External Site)
Date:  Dec 16 2003
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 2.6.10
Description:   A buffer overflow vulnerability was reported in LFTP. A remote server may be able to cause arbitrary code to be executed on a connected client.

It is reported that LFTP contains buffer overflows that can be triggered by a remote user. The flaws reside in the try_netscape_proxy() and try_squid_eplf() functions in 'HttpDir.cc'. A remote user operating a web server can reportedly create a specially crafted directory so that when a target user connects to the web server (secure or non-secure) with the LFTP client and issues the "ls" or "rels" command, arbitrary code will be executed on the target user's system.

Ulf Harnhammar is credited with discovering the bugs.

Impact:   A remote server can cause arbitrary code to be executed on the target user's LFTP client when the client connects to the server and issues an "ls" or "rels" command.
Solution:   Red Hat has released a fix.

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.4.9-2.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/lftp-2.4.9-2.src.rpm

ia64:
Available from Red Hat Network: lftp-2.4.9-2.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.6.3-5.ia64.rpm

ppc:
Available from Red Hat Network: lftp-2.6.3-5.ppc.rpm

s390:
Available from Red Hat Network: lftp-2.6.3-5.s390.rpm

s390x:
Available from Red Hat Network: lftp-2.6.3-5.s390x.rpm

x86_64:
Available from Red Hat Network: lftp-2.6.3-5.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.6.3-5.ia64.rpm

x86_64:
Available from Red Hat Network: lftp-2.6.3-5.x86_64.rpm

The verification checksums are:

MD5 sum Package Name
fc135158bb815852827c057342a163ae 2.1AS/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1AS/en/os/i386/lftp-2.4.9-2.i386.rpm
429b62e868da2b23d6f55ee9fe922687 2.1AS/en/os/ia64/lftp-2.4.9-2.ia64.rpm
fc135158bb815852827c057342a163ae 2.1AW/en/os/SRPMS/lftp-2.4.9-2.src.rpm
429b62e868da2b23d6f55ee9fe922687 2.1AW/en/os/ia64/lftp-2.4.9-2.ia64.rpm
fc135158bb815852827c057342a163ae 2.1ES/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1ES/en/os/i386/lftp-2.4.9-2.i386.rpm
fc135158bb815852827c057342a163ae 2.1WS/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1WS/en/os/i386/lftp-2.4.9-2.i386.rpm
0a686af23d52aac9e2a1e6af617a2432 3AS/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3AS/en/os/i386/lftp-2.6.3-5.i386.rpm
a786aa5e9a990bae3b014638152092b9 3AS/en/os/ia64/lftp-2.6.3-5.ia64.rpm
07f20ed1cfc38fb80b3efd32a9744b38 3AS/en/os/ppc/lftp-2.6.3-5.ppc.rpm
151670b05e9361d626a9eba3db97387f 3AS/en/os/s390/lftp-2.6.3-5.s390.rpm
120c47e1d5dbf0d3fd9793cc692fccb4 3AS/en/os/s390x/lftp-2.6.3-5.s390x.rpm
8651f623a7590ae08f3c222c5b311712 3AS/en/os/x86_64/lftp-2.6.3-5.x86_64.rpm
0a686af23d52aac9e2a1e6af617a2432 3ES/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3ES/en/os/i386/lftp-2.6.3-5.i386.rpm
0a686af23d52aac9e2a1e6af617a2432 3WS/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3WS/en/os/i386/lftp-2.6.3-5.i386.rpm
a786aa5e9a990bae3b014638152092b9 3WS/en/os/ia64/lftp-2.6.3-5.ia64.rpm
8651f623a7590ae08f3c222c5b311712 3WS/en/os/x86_64/lftp-2.6.3-5.x86_64.rpm

Vendor URL:  lftp.yar.ru/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Red Hat Linux)
Underlying OS Comments:  Red Hat Enterprise Linux 2.1, 3

Message History:   This archive entry is a follow-up to the message listed below.
Dec 14 2003 LFTP Buffer Overflow in Processing HTTP Responses May Allow Remote Code Execution



 Source Message Contents

Subject:  [RHSA-2003:404-01] Updated lftp packages fix security vulnerability


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Updated lftp packages fix security vulnerability
Advisory ID:       RHSA-2003:404-01
Issue date:        2003-12-16
Updated on:        2003-12-16
Product:           Red Hat Enterprise Linux
Keywords:          
Cross references:  
Obsoletes:         
CVE Names:         CAN-2003-0963
- ---------------------------------------------------------------------

1. Topic:

Updated lftp packages are now available that fix a buffer overflow
security vulnerability.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64
Red Hat Enterprise Linux ES version 2.1 - i386
Red Hat Enterprise Linux WS version 2.1 - i386
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux ES version 3 - i386
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Problem description:

lftp is a command-line file transfer program supporting FTP and HTTP
protocols. 

Ulf Härnhammar discovered a buffer overflow bug in versions of lftp up to
and including 2.6.9.  An attacker could create a carefully crafted
directory on a website such that, if a user connects to that directory
using the lftp client and subsequently issues a 'ls' or 'rels' command, the
attacker could execute arbitrary code on the users machine.  The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name
CAN-2003-0963 to this issue.

Users of lftp are advised to upgrade to these erratum packages, which
contain a backported security patch and are not vulnerable to this issue.

Red Hat would like to thank Ulf Härnhammar for discovering and alerting us
to this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

To update all RPMs for your particular architecture, run:

rpm -Fvh [filenames]

where [filenames] is a list of the RPMs you wish to upgrade.  Only those
RPMs which are currently installed will be updated.  Those RPMs which are
not installed but included in the list will not be updated.  Note that you
can also use wildcards (*.rpm) if your current directory *only* contains the
desired RPMs.

Please note that this update is also available via Red Hat Network.  Many
people find this an easier way to apply updates.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

If up2date fails to connect to Red Hat Network due to SSL Certificate 
Errors, you need to install a version of the up2date client with an updated 
certificate.  The latest version of up2date is available from the Red Hat 
FTP site and may also be downloaded directly from the RHN website:

https://rhn.redhat.com/help/latest-up2date.pxt

5. Bug IDs fixed (http://bugzilla.redhat.com/bugzilla for more info):

111717 - CAN-2003-0963 lftp client buffer overflow

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.4.9-2.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/lftp-2.4.9-2.src.rpm

ia64:
Available from Red Hat Network: lftp-2.4.9-2.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/lftp-2.4.9-2.src.rpm

i386:
Available from Red Hat Network: lftp-2.4.9-2.i386.rpm

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.6.3-5.ia64.rpm

ppc:
Available from Red Hat Network: lftp-2.6.3-5.ppc.rpm

s390:
Available from Red Hat Network: lftp-2.6.3-5.s390.rpm

s390x:
Available from Red Hat Network: lftp-2.6.3-5.s390x.rpm

x86_64:
Available from Red Hat Network: lftp-2.6.3-5.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/lftp-2.6.3-5.src.rpm

i386:
Available from Red Hat Network: lftp-2.6.3-5.i386.rpm

ia64:
Available from Red Hat Network: lftp-2.6.3-5.ia64.rpm

x86_64:
Available from Red Hat Network: lftp-2.6.3-5.x86_64.rpm



7. Verification:

MD5 sum                          Package Name
- --------------------------------------------------------------------------
fc135158bb815852827c057342a163ae 2.1AS/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1AS/en/os/i386/lftp-2.4.9-2.i386.rpm
429b62e868da2b23d6f55ee9fe922687 2.1AS/en/os/ia64/lftp-2.4.9-2.ia64.rpm
fc135158bb815852827c057342a163ae 2.1AW/en/os/SRPMS/lftp-2.4.9-2.src.rpm
429b62e868da2b23d6f55ee9fe922687 2.1AW/en/os/ia64/lftp-2.4.9-2.ia64.rpm
fc135158bb815852827c057342a163ae 2.1ES/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1ES/en/os/i386/lftp-2.4.9-2.i386.rpm
fc135158bb815852827c057342a163ae 2.1WS/en/os/SRPMS/lftp-2.4.9-2.src.rpm
a9e10adf4c53f444ae4c628c082ac45d 2.1WS/en/os/i386/lftp-2.4.9-2.i386.rpm
0a686af23d52aac9e2a1e6af617a2432 3AS/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3AS/en/os/i386/lftp-2.6.3-5.i386.rpm
a786aa5e9a990bae3b014638152092b9 3AS/en/os/ia64/lftp-2.6.3-5.ia64.rpm
07f20ed1cfc38fb80b3efd32a9744b38 3AS/en/os/ppc/lftp-2.6.3-5.ppc.rpm
151670b05e9361d626a9eba3db97387f 3AS/en/os/s390/lftp-2.6.3-5.s390.rpm
120c47e1d5dbf0d3fd9793cc692fccb4 3AS/en/os/s390x/lftp-2.6.3-5.s390x.rpm
8651f623a7590ae08f3c222c5b311712 3AS/en/os/x86_64/lftp-2.6.3-5.x86_64.rpm
0a686af23d52aac9e2a1e6af617a2432 3ES/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3ES/en/os/i386/lftp-2.6.3-5.i386.rpm
0a686af23d52aac9e2a1e6af617a2432 3WS/en/os/SRPMS/lftp-2.6.3-5.src.rpm
84044d6b6aae48fa9b53609d6a3f0804 3WS/en/os/i386/lftp-2.6.3-5.i386.rpm
a786aa5e9a990bae3b014638152092b9 3WS/en/os/ia64/lftp-2.6.3-5.ia64.rpm
8651f623a7590ae08f3c222c5b311712 3WS/en/os/x86_64/lftp-2.6.3-5.x86_64.rpm


These packages are GPG signed by Red Hat for security.  Our key is
available from https://www.redhat.com/security/keys.html

You can verify each package with the following command:
    
    rpm --checksig -v <filename>

If you only wish to verify that each package has not been corrupted or
tampered with, examine only the md5sum with the following command:
    
    md5sum <filename>


8. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0963

9. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/solutions/security/news/contact.html

Copyright 2003 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE/3xFpXlSAg2UNWIIRAqBcAJkBWGbo/F3W41DYK9vpOqEhroG3SwCfT3MY
dt+GsQ018hCA4aYCmu0l65A=
=4x5n
-----END PGP SIGNATURE-----

-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC